# Copyright (C) 2014 by Bundesamt f�r Sicherheit in der Informationstechnik
# Software engineering by Intevation GmbH
#
# This file is Free Software under the GNU GPL (v>=2)
# and comes with ABSOLUTELY NO WARRANTY!
# See LICENSE.txt for details.

#!/bin/bash

#NSSDIR is hackish as this will be replaced by static compiling 
# anyway

TMPDIR=$(mktemp -d)

EXEFILES=$(find . -name cinst.exe -o -name trustbridge.exe -o -name mozilla.exe)

cp $EXEFILES $TMPDIR

EST_SIZE=$(du -s $TMPDIR | cut -f 1)

echo $TMPDIR
makensis -Dfiles_dir=$TMPDIR \
    -Dcompany="Bundesamt f�r Sicherheit in der Informationstechnik" \
    -Dversion_number=@PROJECT_VERSION@ \
    -Dsetupname="@CMAKE_BINARY_DIR@/TrustBridge-@PROJECT_VERSION@.exe" \
    -Dproductname="TrustBridge" \
    -Dpath_sep="/" \
    -Dinfo_url="http://wald.intevation.org/projects/trustbridge/" \
    -Dsize=$EST_SIZE \
    -Dproductname_short="TrustBridge" @CMAKE_SOURCE_DIR@/packaging/trustbridge.nsi
rm -r $TMPDIR
